Subject: [dhcwg] Sending Rebind upon link-layer address change (rfc3315bis)

From: "Templin, Fred L" <[email-masked]>
Date: Thu, 11 Aug 2016 15:07:51 +0000

RFC3315(bis) gives a list of conditions under which the client may send a Rebind
message. I would like to see an additional condition added for the case that
the client's link-layer address(es) have changed.

In IPv6 ND, a node announces a link-layer address change by sending unsolicited
NAs. However, these messages are unacknowledged, and are not secured. So,
a rogue client on the link could send spoofed NA messages even if the link is
secured through link-layer encryption and/or physical security. Using DHCPv6
Rebind for this addresses thewse points.

Therefore, I suggest the following changes: 

> 15) Section 17.1.5, add a trailing sentence to this section:
>     "The client MAY send a Rebind message if its link-layer
>     address(es) have changed, e.g., to update any cached
>     link-layer address information."
> 
> 18) Section 17.1.12, add the following as a new last item in the
>     bulleted list:
>
>   o The requesting router's link-layer address(es) change.

Thanks - Fred
[email-masked]